'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import threading
import Hero

# Global variables, because passing them around is too much of a hassle
mapsize = [11,8]
statusbar = [[0,0],[10,0]]
#map = [[0] * mapsize[1]] * mapsize[0]
map = [[None for i in range(0,mapsize[1])] for i in range(0,mapsize[0])]
# And of course, a lock to make sure there are no race conditions.
# You thought I didn't know what I was doing, right? ;)
cand = threading.Lock()

def can_move(dx, dy):
    """Can I go to (dx,xy)?"""
    ret=False
    if(dx >= 0 and dx <11):
        if(dy>statusbar[1][1] and dy<8):
            if (map[dx][dy] is None):
                ret=True

    return ret

def could_move(dx, dy):
    """Could I eventually reach (dx,xy)?"""
    ret=False
    if(dx >= 0 and dx <11):
        if(dy>statusbar[1][1] and dy<8):
            if (isinstance(map[dx][dy],Hero.hero) or map[dx][dy] is None):
                ret=True
    return ret