
'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import pygame
import os
import Coworkers
import Tasks
import Stuff

class Photocopier(Coworkers.Coworkers):
    """Sisth kind of coworker: a photocopier
    Does the same thing a fax does"""
    
    def __init__(self):
        self.work_counter = 0
        pygame.sprite.Sprite.__init__(self)
        dir = os.path.abspath('data/photocopier')
        self.frames, self.numframes, self.rect = self.load_frames(dir)
        self.image = self.frames[0]
        self.frame = 0
        self.framecounter = 0
        self.mytask = Tasks.Tasks.PHOTOCOPIER
        dir = os.path.abspath('data/sounds/photocopier.wav')
        self.sound = Stuff.load_sound(dir)