'''
Created on April 2011 for Pyweek
@author: Martin Villalba (aka akira44)
'''

import pygame
import Coworkers
import Tasks
import os
import Stuff

class Watercooler(Coworkers.Coworkers):
    """Second kind of coworker: a watercooler
    When bumped into, it gives water"""
   
    def __init__(self):
        self.work_counter = 0
        pygame.sprite.Sprite.__init__(self)
        dir = os.path.abspath('data/watercooler')
        self.frames, self.numframes, self.rect = self.load_frames(dir)
        self.image = self.frames[0]
        self.frame = 0
        self.framecounter = 0
        self.mytask = Tasks.Tasks.WATER
        dir = os.path.abspath('data/sounds/watercooler.wav')
        self.sound = Stuff.load_sound(dir)
