import sys, pygame
import Office
import Stuff
import os

def main():
    """ City Nine News starts here!
    """
    pygame.init()

    size = width, height = 660, 480
    screen = pygame.display.set_mode(size)
    pygame.display.set_caption('City Nine News')
    pygame.mouse.set_visible(False)

    # Creation of the main object
    myoffice = Office.office()
    clock = pygame.time.Clock()

    # The graphics for the main screen and endings
    file = dir = os.path.abspath('data/mainscreen.png')
    mainscreen, mainrect = Stuff.load_image(file)
    file = dir = os.path.abspath('data/gameover1.png')
    gameover1, gorect1 = Stuff.load_image(file)
    file = dir = os.path.abspath('data/gameover2.png')
    gameover2, gorect2 = Stuff.load_image(file)
    file = dir = os.path.abspath('data/endgame.png')
    endgame1, egrect = Stuff.load_image(file)

    dir = os.path.abspath('data/sounds/intro.ogg')
    intromusic = Stuff.load_sound(dir)
    dir = os.path.abspath('data/sounds/ending.wav')
    badending = Stuff.load_sound(dir)

    title=True
    level=0

    while 1:
        if(title):
            intromusic.play(-1)
            screen.blit(mainscreen, mainrect)
            pygame.display.flip()
            while(title):
                # Fun fact: I'm only refreshing this fast
                # because otherwise the keyboard events get lost
                clock.tick(30)
                teclas = pygame.event.wait()
                if (teclas.type == pygame.QUIT):
                    sys.exit()
                elif(teclas.type == pygame.KEYDOWN):
                    teclas=pygame.key.get_pressed()
                    if(teclas[pygame.K_ESCAPE]):
                        sys.exit()
                    elif(teclas[pygame.K_SPACE]):
                        title=False
                    elif(teclas[pygame.K_RETURN]):
                        title=False
                        level=0
        else:
            intromusic.stop()
        
            myoffice.start(level)

            while(not myoffice.im_done()):
                clock.tick(60)
                for event in pygame.event.get():
                    if event.type == pygame.QUIT: sys.exit()

                myoffice.update()
                pygame.display.flip()
    
            pygame.time.wait(1000)
            if(myoffice.i_still_have_a_job()):
                #level=(level+1) % 3
                level += 1
                if(level==12):
                    screen.blit(endgame1, egrect)
                    pygame.display.flip()
                    pygame.time.wait(5000)
                    title=True            
            else:
                if(myoffice.i_fell_asleep()):
                    screen.blit(gameover1, gorect1)
                else:
                    screen.blit(gameover2, gorect2)    
                pygame.display.flip()
                badending.play()
                pygame.time.wait(5000)
                #break
                title=True
            pygame.display.flip()
